Package com.io7m.cardant.model.type_package

# Record Class CATypePackageIdentifier

java.lang.Object
java.lang.Record
com.io7m.cardant.model.type_package.CATypePackageIdentifier

Record Components:
  `name` - The name
  `version` - The version

All Implemented Interfaces:
  `Comparable<CATypePackageIdentifier>`

public record CATypePackageIdentifier(com.io7m.lanark.core.RDottedName name, com.io7m.verona.core.Version version) extends Record implements Comparable<CATypePackageIdentifier>
A package identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypePackageIdentifier(com.io7m.lanark.core.RDottedName name, com.io7m.verona.core.Version version)`
  A package identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CATypePackageIdentifier other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.lanark.core.RDottedName`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `com.io7m.verona.core.Version`
  `version()`
  Returns the value of the `version` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CATypePackageIdentifier

    public CATypePackageIdentifier(com.io7m.lanark.core.RDottedName name, com.io7m.verona.core.Version version)
    A package identifier.
    Parameters:
      `name` - The name
      `version` - The version

- ## Method Details

  - ### compareTo

    public int compareTo(CATypePackageIdentifier other)
    Specified by:
      `compareTo` in interface `Comparable<CATypePackageIdentifier>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public com.io7m.lanark.core.RDottedName name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### version

    public com.io7m.verona.core.Version version()
    Returns the value of the `version` record component.
    Returns:
      the value of the `version` record component